# AdSense Host API . associationsessions

## Instance Methods

Create an association session for initiating an association with an AdSense user.

Verify an association session after the association callback returns from AdSense signup.

### Method Details

`start(productCode, websiteUrl, websiteLocale=None, userLocale=None)`

    Create an association session for initiating an association with an AdSense user.

    Args:
      productCode: string, Products to associate with the user. (required) (repeated)
        Allowed values
          AFC - AdSense For Content
          AFG - AdSense For Games
          AFMC - AdSense For Mobile Content - deprecated
          AFS - AdSense For Search - deprecated
          AFV - AdSense For Video
      websiteUrl: string, The URL of the user's hosted website. (required)
      websiteLocale: string, The locale of the user's hosted website.
      userLocale: string, The preferred locale of the user.

    Returns:
      An object of the form:

        {
        "status": "A String", # Status of the completed association, available once the association callback token has been verified. One of ACCEPTED, REJECTED, or ERROR.
        "productCodes": [ # The products to associate with the user. Options: AFC, AFG, AFV, AFS (deprecated), AFMC (deprecated)
          "A String",
        ],
        "kind": "adsensehost#associationSession", # Kind of resource this is, in this case adsensehost#associationSession.
        "userLocale": "A String", # The preferred locale of the user themselves when going through the AdSense association flow.
        "websiteLocale": "A String", # The locale of the user's hosted website.
        "redirectUrl": "A String", # Redirect URL of this association session. Used to redirect users into the AdSense association flow.
        "websiteUrl": "A String", # The URL of the user's hosted website.
        "id": "A String", # Unique identifier of this association session.
        "accountId": "A String", # Hosted account id of the associated publisher after association. Present if status is ACCEPTED.
      }

`verify(token)`

    Verify an association session after the association callback returns from AdSense signup.

    Args:
      token: string, The token returned to the association callback URL. (required)

    Returns:
      An object of the form:

        {
        "status": "A String", # Status of the completed association, available once the association callback token has been verified. One of ACCEPTED, REJECTED, or ERROR.
        "productCodes": [ # The products to associate with the user. Options: AFC, AFG, AFV, AFS (deprecated), AFMC (deprecated)
          "A String",
        ],
        "kind": "adsensehost#associationSession", # Kind of resource this is, in this case adsensehost#associationSession.
        "userLocale": "A String", # The preferred locale of the user themselves when going through the AdSense association flow.
        "websiteLocale": "A String", # The locale of the user's hosted website.
        "redirectUrl": "A String", # Redirect URL of this association session. Used to redirect users into the AdSense association flow.
        "websiteUrl": "A String", # The URL of the user's hosted website.
        "id": "A String", # Unique identifier of this association session.
        "accountId": "A String", # Hosted account id of the associated publisher after association. Present if status is ACCEPTED.
      }